<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy renderowania strony odpowiedzialnej za aktulizowanie widżetów pokazywanych na stronie
	
	Black Min cms,
	
	#plik: 1.2
*/

	// ładowanie jądra black mina
	require_once "black-min.php";

	// tworzenie zmienych odpowieddzialnych za przechowywanie onformcji o pluginac
	$nazwa_pluginu = [];
	$wartosc_pluginu = [];

	// pobieranie z bazy danych aktywnych pluginów(widżetów) do zastosowania ich na stronie
	mysqli_report(MYSQLI_REPORT_STRICT);
	
	try 
	{
		$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
		if ($polaczenie->connect_errno!=0)
		{
			throw new Exception(mysqli_connect_errno());
		}
		else
		{
			
			mysqli_query($polaczenie, "SET CHARSET utf8");
			mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");	

				if ($rezultat = $polaczenie->query(
				sprintf("SELECT * FROM `".$prefix_table."bm_postmeta` WHERE `bm_kontent` LIKE 'plugin'")
				 ))
				{
				
					$ile_aktywnych_pluginow = mysqli_num_rows($rezultat);
					
					for ($i = 0; $i < $ile_aktywnych_pluginow; $i++) {
					
						$row = mysqli_fetch_assoc($rezultat);
						array_push($nazwa_pluginu, $row['bm_nazwa']);
						array_push($wartosc_pluginu, $row['bm_wartosc']);
					}
	
				};		
			
			$polaczenie->close();
		}
		
	}
	
	catch(Exception $e)
	{
		echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań w innym terminie!</span>';
	}	
	
?>


<!DOCTYPE html>
<html lang="pl" class="">
<head>

	<title>Widżety - Admin Panel - <?php echo $black_min ?></title>
	
	<?php require_once "laduj-pliki-admin.php"; ?>

</head>
<body>

	<?php require_once "admin-menu.php"; ?>
	
	<?php require_once "admin-menu-left.php"; ?>
	
	<?php require_once "admin-menu-mobile.php"; ?>
	
	<main class="container-right">
		<div class="container tsr-p-10px">
			<section class="tsr fs-130 l-0">
				Widżety - Black Min 
			</section>
			<section class="tsr tsr-p-10px background-white tsr-mt-20">
				<section class="tsr fs-90 l-0">
					

				<section class="tsr tsr-mt-20">

					<form accept-charset="UTF-8" action="" method="post" id="add_post" autocomplete="off">	
					
						<section class="col-ms20 tsr-p-10px bm-drag-container">
							<section class="tsr tsr-mb-20 tsr-mt-20 fs-60 ">
								<section section="tsr fs-90 bm-disable-sort">Wbudowane Widżety Black Min'a</section>
								<section id="copy-list1" class="tsr copy-list-item " style="min-height: 50px;">
									<section class="tsr tsr-p-10px tsr-mt-10 fs-90 background-green cursor-all-scroll copy-item copy-list-items">Wyszukiwarka</section>
									<section class="tsr tsr-p-10px tsr-mt-10 fs-90 background-green cursor-all-scroll copy-item copy-list-items">Logowanie</section>
								</section>								
							</section>
							<section class="tsr tsr-mb-20 tsr-mt-20 fs-60">
								<section section="tsr fs-90 bm-disable-sort">Widżety(pluginy) Wgrane Na Serwer</section>	
								<section id="copy-list2" class="tsr copy-list-item " style="min-height: 50px;">
									<?php
										
										// wyświetlanie wszystkich aktywnych pluginów
										for ($i = 0; $i < $ile_aktywnych_pluginow; $i++) {
										
											//$row = mysqli_fetch_assoc($rezultat);
											//array_push($nazwa_pluginu, $row['bm_nazwa']);
											//array_push($wartosc_pluginu, $row['bm_wartosc']);
											
											// sprawdzanie czy plugin jest aktywny 
											$plugin_reserch = explode(",", $wartosc_pluginu[$i]);
											
											if($plugin_reserch[0] == "ON"){
											
												//echo $nazwa_pluginu[$i];
												//echo $plugin_reserch[0];
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-90 background-green cursor-all-scroll copy-item copy-list-items">'.$nazwa_pluginu[$i].'</section>';
											
											}
											
										}										
									
									?>
								</section>								
							</section>
							<section class="tsr"></section>
						</section>
						<section class="col-ms80 tsr-p-10px">
							<section class="col-ms20 tsr-p-10px">
								<section section="tsr fs-90 bm-disable-sort">Top Box</section>
								<section id="sort-list1" class="tsr sort-list-item top-box" style="min-height: 50px;">
									<?php
										// sprawdzanie czy box nie jest pusty
										if(top_box_bm() !== "NULL"){
											$top_box_reserch = explode(",", top_box_bm());
										
											// zliczanei ile jest widżetów w danym boxie
											$ile_top_box = count($top_box_reserch);
											
											// wyświetlanie wszystkich aktywnych pluginów
											for ($i = 0; $i < $ile_top_box; $i++) {
												
												// renderowanie itemu w danym boxie
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item " >'.$top_box_reserch[$i].'</section>';
												
											}	
										}
									
									?>									
								</section>								
							</section>
							<section class="col-ms20 tsr-p-10px ">
								<section section="tsr fs-90 bm-disable-sort">Left Box</section>
								<section id="sort-list2" class="tsr sort-list-item left-box" style="min-height: 50px;">
									<?php
										// sprawdzanie czy box nie jest pusty
										if(left_box_bm() !== "NULL"){
											$left_box_reserch = explode(",", left_box_bm());
										
											// zliczanei ile jest widżetów w danym boxie
											$ile_left_box = count($left_box_reserch);
											
											// wyświetlanie wszystkich aktywnych pluginów
											for ($i = 0; $i < $ile_left_box; $i++) {
												
												// renderowanie itemu w danym boxie
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item " >'.$left_box_reserch[$i].'</section>';
												
											}
										}										
									
									?>	
								</section>								
							</section>
							<section class="col-ms20 tsr-p-10px ">
								<section section="tsr fs-90 bm-disable-sort">Right Box</section>
								<section id="sort-list3" class="tsr sort-list-item right-box" style="min-height: 50px;">
									<?php
										// sprawdzanie czy box nie jest pusty
										if(right_box_bm() !== "NULL"){
											$right_box_reserch = explode(",", right_box_bm());
										
											// zliczanei ile jest widżetów w danym boxie
											$ile_right_box = count($right_box_reserch);
											
											// wyświetlanie wszystkich aktywnych pluginów
											for ($i = 0; $i < $ile_right_box; $i++) {
												
												// renderowanie itemu w danym boxie
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item " >'.$right_box_reserch[$i].'</section>';
												
											}										
										}
									
									?>	
								</section>								
							</section>
							<section class="col-ms20 tsr-p-10px ">
								<section section="tsr fs-90 bm-disable-sort">Bottom Box</section>
								<section id="sort-list4" class="tsr sort-list-item bottom-box" style="min-height: 50px;">
									<?php
										// sprawdzanie czy box nie jest pusty
										if(bottom_box_bm() !== "NULL"){
											$bottom_box_reserch = explode(",", bottom_box_bm());
										
											// zliczanei ile jest widżetów w danym boxie
											$ile_bottom_box = count($bottom_box_reserch);
											
											// wyświetlanie wszystkich aktywnych pluginów
											for ($i = 0; $i < $ile_bottom_box; $i++) {
												
												// renderowanie itemu w danym boxie
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item " >'.$bottom_box_reserch[$i].'</section>';
												
											}		
										}											
									
									?>	
								</section>								
							</section>
							<section class="col-ms20 tsr-p-10px">
								<section section="tsr fs-90 bm-disable-sort">Footer Box</section>
								<section id="sort-list5" class="tsr sort-list-item footer-box" style="min-height: 50px;">
									<?php
										// sprawdzanie czy box nie jest pusty
										if(footer_box_bm() !== "NULL"){
											$footer_box_reserch = explode(",", footer_box_bm());
										
											// zliczanei ile jest widżetów w danym boxie
											$ile_footer_box = count($footer_box_reserch);
											
											// wyświetlanie wszystkich aktywnych pluginów
											for ($i = 0; $i < $ile_footer_box; $i++) {
												
												// renderowanie itemu w danym boxie
												echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item " >'.$footer_box_reserch[$i].'</section>';
												
											}	
										}											
									
									?>	
								</section>
							</section>							
						</section>
	
						<section class="tsr tsr-inp tsr-mt-50">
						<button type="submit" class="input buttom" id="submit_post" >Zapisz ustawienia</button>
						</section>	
						
						<section class="tsr-inp tsr-mt-50">
							<div id="contajner_post_add"></div>
						</section>			
					
					</form>	
				</section>
				</section>
	
	<script type="text/javascript">					
		// usuwanie elementów po podwójnym kliknięciu na nazwę bloku
		$(document).on("dblclick", ".sort-item", function(oEvent){
			$(this).closest(".sort-item").remove();
		});	

		// skrypt kontrolujący sortowanie
		$( "#sort-list1, #sort-list2, #sort-list3, #sort-list4, #sort-list5" ).sortable({
			connectWith: ".sort-list-item",
			placeholder: "aquay-placeholder",
			helper: "clone",
			revert: "invalid",
			update: function( event, ui ) {
				//ui.helper.removeAttr("style");
				ui.item.removeAttr("style");
				$(".sort-item").removeAttr("style");
				$(".ui-sortable-helper").removeAttr("style");
			},
			stop: function( event, ui ) {
				//ui.helper.removeAttr("style");
				ui.item.removeAttr("style");
				$(".sort-item").removeAttr("style");
				$(".ui-sortable-helper").removeAttr("style");
				$(".aquay-placeholder").remove();
			},
		}).disableSelection();
		
		$( ".copy-list-items" ).draggable({
		  connectToSortable: ".sort-list-item",
		  helper: "clone",
		  revert: "invalid",
		  item: ".sort-item",
		  //handle: ".copy-list-items",
		  find: ".copy-list-items",
		  placeholder: "aquay-placeholder",
		  cancel: ".bm-disable-sort",
		  start: function( event, ui ) {
				 ui.helper.css("width","200px");
			},
			drag: function( event, ui ) {
			},
			stop: function( event, ui ) {
				 ui.helper.addClass("tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-all-scroll sort-item ").removeClass("copy-item copy-list-items fs-90").removeAttr("style");
			},
		}).disableSelection();
		
		
		// wysyłanie danych do skryptu metodą post pobranych z formularza
	
		$('#submit_post').click('submit', function(evt1){
			evt1.preventDefault();
			
			// zmienia przechowywująca tablice ze widżetami w topie strony
			const tab_top_box = [];
			const tab_left_box = [];
			const tab_right_box = [];
			const tab_bottom_box = [];
			const tab_footer_box = [];
			
			// zliczanie boxów
			var top_box = $("#sort-list1").find(".sort-item");
			var left_box = $("#sort-list2").find(".sort-item");
			var right_box = $("#sort-list3").find(".sort-item");
			var bottom_box = $("#sort-list4").find(".sort-item");
			var footer_box = $("#sort-list5").find(".sort-item");
			
			// pętla pobierająca ustawione pluginy w boxie i je dodaje do tablicy
			for(var i=0; i < top_box.length; i++){
				
				var box1 = top_box[i];
				
				tab_top_box.push(box1.innerHTML);

			}

			for(var i=0; i < left_box.length; i++){
				
				var box2 = left_box[i];
				
				tab_left_box.push(box2.innerHTML);

			}

			for(var i=0; i < right_box.length; i++){
				
				var box3 = right_box[i];
				
				tab_right_box.push(box3.innerHTML);

			}

			for(var i=0; i < bottom_box.length; i++){
				
				var box4 = bottom_box[i];
				
				tab_bottom_box.push(box4.innerHTML);

			}

			for(var i=0; i < footer_box.length; i++){
				
				var box5 = footer_box[i];
				
				tab_footer_box.push(box5.innerHTML);

			}
			
			console.log(tab_top_box);console.log(tab_left_box);console.log(tab_right_box);console.log(tab_bottom_box);console.log(tab_footer_box);
			
			// sprawdzanie czy box ma jakiś plugin
			if(tab_top_box.length == 0){
				tab_top_box.push("NULL");
			}
			if(tab_left_box.length == 0){
				tab_left_box.push("NULL");
			}
			if(tab_right_box.length == 0){
				tab_right_box.push("NULL");
			}
			if(tab_bottom_box.length == 0){
				tab_bottom_box.push("NULL");
			}
			if(tab_footer_box.length == 0){
				tab_footer_box.push("NULL");
			}
			
			$.ajax({
				type:"POST",
				url:"insert/update-widzety.php",
				data:{
					tab_top_box:tab_top_box,
					tab_left_box:tab_left_box,
					tab_right_box:tab_right_box,
					tab_bottom_box:tab_bottom_box,
					tab_footer_box:tab_footer_box,
				}
			})
			.done(function(info){
				//$('#contajner_post_add').text("");
				$('#contajner_post_add').append(info);
				$(".tsr-alert").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
			})
			.fail(function(){
				alert("Wystąpił błąd. Spróbuj ponownie później");
			});
		})
	</script>				
					
				</section>
			</section>
		</div>
	</main>

	<?php require_once "admin-stopka.php"; ?>

	<script>
	$(document).ready(function() { 
		console.clear()
	});
	</script>	

</body>
</html>